ARK(1)

NAMN
ark - Ett arkiveringsverktyg för KDE

SYNOPSIS

ark [-b] [-a] [-e] [-O] [-c] [-f suffix] [-p] [-t fil] [-d] [-m] [-o katalog] [Generella väljare för KDE ramverk] [Generella väljare för Qt(TM)]

BESKRIVNING

Ark är ett program för att hantera diverse komprimerade filformat i KDE-miljön. Arkiv kan visas, packas upp, skapas och ändras inne i Ark. Programmet hanterar diverse format som tar, gzip, bzip2, zip och rar (om lämpliga bibliotek eller kommandoradsprogram är installerade).

ANVÄNDNINGSLÄGEN

Ark kan antingen användas som ett fristående program med grafiskt användargränssnitt, samt som ett kommandoradsprogram för att utföra vissa specifika uppgifter.

Om det startas utan väljarna -b (--batch) eller -c (--add), startas Ark som ett vanligt program med grafiskt användargränssnitt.

När alternativet -b (--batch) används, kan Ark användas för att packa upp innehållet i en eller flera filer direkt från kommandoraden, utan att starta dess grafiska användargränssnitt.

När alternativet -c (--add) används, frågar Ark efter filer som ska läggas till i ett nytt arkiv eller i ett befintligt arkiv.

VÄLJARE

-d, --dialog
    Visa en dialogruta för att ange alternativ för åtgärderna batch eller add.

-m, --mimetypes
    Lista Mime-typer som stöds.

-o, --destination katalog
    Ställ in standardkatalogen för uppackning till katalog. Om den inte anges, används aktuell sökväg.

  Väljare för att lägga till filer

-c, --add
    Fråga användaren efter namnet på arkivet och lägg till angivna filer i det. Avsluta när det är färdigt.

-t, --add-to filnamn
    Lägg till angivna filer i filnamn. Skapa arkivet om det inte finns. Avsluta när det är färdigt.

-p, --changetofirstpath
    Byt arbetskatalog till den första posten och lägg till alla andra poster i förhållande till den.

-f, --autofilename suffix
    Välj automatiskt filnamn med valt suffix (till exempel rar, tar.gz, zip, eller någon annan typ som stöds).

  Alternativ för uppackning i bakgrunden

-b, --batch
    Använd bakgrundsgränssnittet istället för den vanliga dialogrutan. Alternativet är underförstått om mer än en webbadress anges.

-e, --autodestination
    Destinationsvärdet ställs in till sökvägen för den första filen som anges.

-a, --autosubfolder
    Arkivets innehåll läses, och om det detekteras att det inte innehåller en enda katalog, skapas en underkatalog med arkivnamnet.

-O, --opendestination
    Öppna målkatalogen när uppackningen är färdig.

SE OCKSÅ
    Mer detaljerad användardokumentation är tillgänglig med help:/ark (skriv antingen in webbadressen i Konqueror, eller kör khelpcenter help:/ark).
    kf5options(7)
    qt5options(7)

EXEMPEL

ark --batch arkiv.tar.bz2
    Packar upp arkiv.tar.bz2 i arbetskatalogen utan att visa något grafiskt användargränssnitt.

ark -b -d arkiv.tar.bz2 arkiv2.zip
    Visar först en dialogruta med uppackningsalternativ och packar därefter upp både arkiv.tar.bz2 och arkiv2.zip i katalogen som väljes i dialogrutan.

ark --add-to mitt-arkiv.zip foto1.jpg text.txt
    Skapar mitt-arkiv.zip om det inte finns och lägger därefter till foto1.jpg och text.txt i det.

UNDERHÅLLSANSVAR

Ark underhålls för närvarande av Elvis Angelaccio och Ragnar Thomsen.

AUTHORS

Lauri Watts <lauri@kde.org>
    Ursprunglig version av Ark manualsida 2005.

Raphael Kubo da Costa <rakuco@FreeBSD.org>
    Uppdatering av Ark manualsida 2009.

Ragnar Thomsen <rthomsen6@gmail.com>
    Uppdatering av Ark manualsida 2015 och 2016.